Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct
Class SimpleFlowConstruct

    java.lang.Object
      org.mule.construct.AbstractFlowConstruct
          org.mule.construct.SimpleFlowConstruct

All Implemented Interfaces:
  FlowConstruct, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageProcessor

Direct Known Subclasses:
  IBeanFlowConstruct

    public class SimpleFlowConstruct

extends AbstractFlowConstruct

Simple implementation of `AbstractFlowConstruct` that allows a list of `MessageProcessor`s that will be used to process messages to be configured. These MessageProcessors are chained together using the `InterceptingChainMessageProcessorBuilder`.

If not message processors are configured then the source message is simply returned.

Field Summary
`protected List<MessageProcessor>` | `messageProcessors`
`protected ThreadingProfile` | `threadingProfile`
`protected WorkManager` | `workManager`

Fields inherited from class org.mule.construct.AbstractFlowConstruct
`exceptionListener, lifecycleManager, logger, messageInfoMapping, messageProcessorChain, messageSource, muleContext, name, statistics`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SimpleFlowConstruct(String name, MuleContext muleContext)`

Method Summary
`protected void` | `configureMessageProcessors(InterceptingChainMessageProcessorBuilder builder)` Used to configure the processing chain for this `FlowConstuct` `MessageProcessor`s to the chain using the builder provided.
`List<MessageProcessor>` | `getMessageProcessors()`
`ThreadingProfile` | `getThreadingProfile()`
`void` | `setEndpoint(InboundEndpoint endpoint)` Deprecated.
`void` | `setMessageProcessors(List<MessageProcessor> messageProcessors)`
`void` | `setThreadingProfile(ThreadingProfile threadingProfile)`

Methods inherited from class org.mule.construct.AbstractFlowConstruct
`createMessageProcessor, dispose, doDispose, doInitialise, doStart, doStop, getExceptionListener, getLifecycleState, getMessageInfoMapping, getMessageSource, getMuleContext, getName, getStatistics, initialise, isStarted, isStopped, isStopping, process, setExceptionListener, setMessageInfoMapping, setMessageSource, start, stop, toString, validateConstruct`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### messageProcessors

    protected List<MessageProcessor> messageProcessors

### threadingProfile

    protected ThreadingProfile threadingProfile

### workManager

    protected WorkManager workManager

Constructor Detail

### SimpleFlowConstruct

    public SimpleFlowConstruct(String name,
                               MuleContext muleContext)

Method Detail

### configureMessageProcessors

    protected void configureMessageProcessors(InterceptingChainMessageProcessorBuilder builder)

  Description copied from class: `AbstractFlowConstruct`
  Used to configure the processing chain for this `FlowConstuct` `MessageProcessor`s to the chain using the builder provided.

  To use a different builder of to construct a composite `MessageProcessor` manually override `AbstractFlowConstruct.createMessageProcessor()` instead.

  Specified by:
    `configureMessageProcessors` in class `AbstractFlowConstruct`
  Parameters:
    `builder` - instance of `InterceptingChainMessageProcessorBuilder`

### getThreadingProfile

    public ThreadingProfile getThreadingProfile()

### setThreadingProfile

    public void setThreadingProfile(ThreadingProfile threadingProfile)

### setMessageProcessors

    public void setMessageProcessors(List<MessageProcessor> messageProcessors)

### getMessageProcessors

    public List<MessageProcessor> getMessageProcessors()

### setEndpoint

    @Deprecated
    public void setEndpoint(InboundEndpoint endpoint)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.